/*
 * Copyright (c) 2012 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*global $*/

/**
* @class ModifierManager
*/
function ModifierManager() {
    'use strict';
    this.init();
}

(function strict() {
    'use strict';

    ModifierManager.prototype = {

        /**
        * UI module initialisation
        */
        init: function ModifierManager_init() {
            return;
        },

        /**
        * @return modifiers object
        */
        getAll: function ModifierManager_getAll() {
            return this.modifiers;
        },

        /**
        * modifiers definitions
        */
        modifiers: {
            escape: function ModifierManager_modifiers_escape(str) {
                return $('<span>').text(str).html();
            }
        }

    };

}());
